NAME

OpenAPI::Client::OpenAI::Path::organization-projects-project_id-users-user_id - Documentation for the /organization/projects/{project_id}/users/{user_id} path.

OPERATIONS

DELETE /organization/projects/{project_id}/users/{user_id}

delete-project-user

$client->delete_project_user({
    body => { ... },
});

Deletes a user from the project.

Returns confirmation of project user deletion, or an error if the project is archived (archived projects have no users).

Path/query parameters

  • project_id (in path, required, string) - The ID of the project.

  • user_id (in path, required, string) - The ID of the user.

Responses

200 - Project user deleted successfully.

Content-Type: application/json

Example:

{
   "deleted" : false,
   "id" : "string",
   "object" : "organization.project.user.deleted"
}

400 - Error response for various conditions.

Content-Type: application/json

Example:

{
   "error" : {
      "code" : "string",
      "message" : "string",
      "param" : "string",
      "type" : "string"
   }
}

GET /organization/projects/{project_id}/users/{user_id}

retrieve-project-user

$client->retrieve_project_user({
    body => { ... },
});

Retrieves a user in the project.

Path/query parameters

  • project_id (in path, required, string) - The ID of the project.

  • user_id (in path, required, string) - The ID of the user.

Responses

200 - Project user retrieved successfully.

Content-Type: application/json

Example:

{
   "added_at" : 1711471533,
   "email" : "user@example.com",
   "id" : "user_abc",
   "name" : "First Last",
   "object" : "organization.project.user",
   "role" : "owner"
}

POST /organization/projects/{project_id}/users/{user_id}

modify-project-user

$client->modify_project_user({
    body => { ... },
});

Modifies a user's role in the project.

Path/query parameters

  • project_id (in path, required, string) - The ID of the project.

  • user_id (in path, required, string) - The ID of the user.

Responses

200 - Project user's role updated successfully.

Content-Type: application/json

Example:

{
   "added_at" : 1711471533,
   "email" : "user@example.com",
   "id" : "user_abc",
   "name" : "First Last",
   "object" : "organization.project.user",
   "role" : "owner"
}

400 - Error response for various conditions.

Content-Type: application/json

Example:

{
   "error" : {
      "code" : "string",
      "message" : "string",
      "param" : "string",
      "type" : "string"
   }
}

SCHEMAS

Error

Properties:

  • code (anyOf, required)

  • message (string, required)

  • param (anyOf, required)

  • type (string, required)

ErrorResponse

Properties:

  • error (Error, required)

    See "Error" below for shape.

ProjectUser

Properties:

  • added_at (integer, required) - The Unix timestamp (in seconds) of when the project was added.

  • email (anyOf) - The email address of the user

  • id (string, required) - The identifier, which can be referenced in API endpoints

  • name (anyOf) - The name of the user

  • object (string, required) - The object type, which is always organization.project.user

    Allowed values: organization.project.user

  • role (string, required) - owner or member

ProjectUserDeleteResponse

Properties:

  • deleted (boolean, required)

  • id (string, required)

  • object (string, required)

    Allowed values: organization.project.user.deleted

ProjectUserUpdateRequest

Properties:

  • role (anyOf) - owner or member

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.